import * as $dara from '@darabonba/typescript';
export declare class CreatePlanMaintenanceWindowRequestTargetResourceTags extends $dara.Model {
    key?: string;
    /**
     * @example
     * 21.137.18.60
     */
    value?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreatePlanMaintenanceWindowRequestTargetResource extends $dara.Model {
    /**
     * @example
     * rg-aekzhm7pmnvcbty
     */
    resourceGroupId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * Tag
     */
    scope?: string;
    tags?: CreatePlanMaintenanceWindowRequestTargetResourceTags[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreatePlanMaintenanceWindowRequestTimePeriodRangeList extends $dara.Model {
    /**
     * @example
     * Tuesday,03:00
     */
    endTime?: string;
    /**
     * @example
     * Monday,22:00
     */
    startTime?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreatePlanMaintenanceWindowRequestTimePeriod extends $dara.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * Weekly
     */
    periodUnit?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    rangeList?: CreatePlanMaintenanceWindowRequestTimePeriodRangeList[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreatePlanMaintenanceWindowRequest extends $dara.Model {
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * true
     */
    enable?: boolean;
    /**
     * @remarks
     * This parameter is required.
     */
    planWindowName?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * cn-hangzhou
     */
    regionId?: string;
    /**
     * @remarks
     * This parameter is required.
     *
     * @example
     * Reboot
     */
    supportMaintenanceAction?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    targetResource?: CreatePlanMaintenanceWindowRequestTargetResource;
    /**
     * @remarks
     * This parameter is required.
     */
    timePeriod?: CreatePlanMaintenanceWindowRequestTimePeriod;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
